# QPrinter Class Reference

### [com.trolltech.qt.gui package]

Inherits QPaintDevice.

### Constructor

- void QPrinter(PrinterMode mode)
- void QPrinter(QPrinterInfo printer, PrinterMode mode)

### Constructor Properties

- prototype: The QPrinter prototype object
- NativeFormat
- PdfFormat
- PostScriptFormat
- OutputFormat( value )
- DuplexNone = 0
- DuplexAuto
- DuplexLongSide
- DuplexShortSide
- DuplexMode( value )
- AllPages
- Selection
- PageRange
- CurrentPage
- PrintRange( value )
- Millimeter
- Point
- Inch
- Pica
- Didot
- Cicero
- DevicePixel
- Unit( value )
- ScreenResolution
- PrinterResolution
- HighResolution
- PrinterMode( value )
- Portrait
- Landscape
- Orientation( value )
- Idle
- Active
- Aborted
- Error
- PrinterState( value )
- GrayScale
- Color
- ColorMode( value )
- OnlyOne
- Lower
- Middle
- Manual
- Envelope
- EnvelopeManual
- Auto
- Tractor
- SmallFormat
- LargeFormat
- LargeCapacity
- Cassette
- FormSource
- MaxPageSource
- PaperSource( value )
- FirstPageFirst
- LastPageFirst
- PageOrder( value )
- A4
- B5
- Letter
- Legal
- Executive
- A0
- A1
- A2
- A3
- A5
- A6
- A7
- A8
- A9
- B0
- B1
- B10
- B2
- B3
- B4
- B6
- B7
- B8
- B9
- C5E
- Comm10E
- DLE
- Folio
- Ledger
- Tabloid
- Custom
- PageSize( value )

### Prototype Object Properties

- bool abort()
- int actualNumCopies()
- bool collateCopies()
- ColorMode colorMode()
- int copyCount()
- String creator()
- String docName()
- bool doubleSidedPrinting()
- DuplexMode duplex()
- bool fontEmbeddingEnabled()
- int fromPage()
- bool fullPage()
- void getPageMargins(qreal left, qreal top, qreal right, qreal bottom, Unit unit)
- bool isValid()
- bool newPage()
- int numCopies()
- Orientation orientation()
- String outputFileName()
- OutputFormat outputFormat()
- PageOrder pageOrder()
- QRect pageRect()
- PageSize pageSize()
- QRect paperRect()
- PageSize paperSize()
- PaperSource paperSource()
- QPrintEngine printEngine()
- String printProgram()
- PrintRange printRange()
- String printerName()
- PrinterState printerState()
- int resolution()
- void setCollateCopies(bool collate)
- void setColorMode(ColorMode arg__1)
- void setCopyCount(int arg__1)
- void setCreator(String arg__1)
- void setDocName(String arg__1)
- void setDoubleSidedPrinting(bool enable)
- void setDuplex(DuplexMode duplex)
- void setFontEmbeddingEnabled(bool enable)
- void setFromTo(int fromPage, int toPage)
- void setFullPage(bool arg__1)
- void setNumCopies(int arg__1)
- void setOrientation(Orientation arg__1)
- void setOutputFileName(String arg__1)
- void setOutputFormat(OutputFormat format)
- void setPageMargins(qreal left, qreal top, qreal right, qreal bottom, Unit unit)
- void setPageOrder(PageOrder arg__1)
- void setPageSize(PageSize arg__1)
- void setPaperSize(PageSize arg__1)
- void setPaperSource(PaperSource arg__1)
- void setPrintProgram(String arg__1)
- void setPrintRange(PrintRange range)
- void setPrinterName(String arg__1)
- void setResolution(int arg__1)
- List supportedResolutions()
- bool supportsMultipleCopies()
- int toPage()

### Instance Properties

QPrinter objects have no special properties beyond those inherited from the QPrinter prototype object.